summaryrefslogtreecommitdiffstats
path: root/abs/core/runit/runitscripts/services/sshd/run
diff options
context:
space:
mode:
Diffstat (limited to 'abs/core/runit/runitscripts/services/sshd/run')
-rwxr-xr-xabs/core/runit/runitscripts/services/sshd/run8
1 files changed, 8 insertions, 0 deletions
diff --git a/abs/core/runit/runitscripts/services/sshd/run b/abs/core/runit/runitscripts/services/sshd/run
new file mode 100755
index 0000000..0dd16ef
--- /dev/null
+++ b/abs/core/runit/runitscripts/services/sshd/run
@@ -0,0 +1,8 @@
+#!/bin/bash
+exec 2>&1
+
+[ -f /etc/ssh/ssh_host_key ] || { /usr/bin/ssh-keygen -t rsa1 -N "" -f /etc/ssh/ssh_host_key >/dev/null; }
+ [ -f /etc/ssh/ssh_host_rsa_key ] || { /usr/bin/ssh-keygen -t rsa -N "" -f /etc/ssh/ssh_host_rsa_key >/dev/null; }
+ [ -f /etc/ssh/ssh_host_dsa_key ] || { /usr/bin/ssh-keygen -t dsa -N "" -f /etc/ssh/ssh_host_dsa_key >/dev/null; }
+
+exec /usr/sbin/sshd -D >/dev/null 2>/dev/null